The bomberman's nightmare. Or is it not a dream? Blow up the creatures before they try to kill you!
User reviews:
Overall:
2 user reviews - Need more user reviews to generate a score
Release Date: Jul 7, 2016

Sign in to add this item to your wishlist, follow it, or mark it as not interested

 

Recent updates View all (2)

May 26

Trading cards

Trading cards are now available!

0 comments Read more

About This Game

The bomberman's nightmare. Or is it not a dream?
Blow up the creatures before they try to kill you!

System Requirements

Windows
SteamOS + Linux
    Minimum:
    • OS: Windows XP, 7, 8, 8.1, 10 (32 and 64bit)
    • Processor: SSE2 instruction set support (Pentium 4, Intel Atom, Athlon XP or highter) 2Ghz
    • Memory: 1 GB RAM
    • Graphics: DX9 (shader model 2.0) capabilities; generally everything made since 2004 should work.
    • DirectX: Version 9.0c
    • Storage: 400 MB available space
    • Sound Card: DirectX compatible sound card
    Minimum:
    • OS: Ubuntu 12.04+, SteamOS+
    • Processor: SSE2 instruction set support (Pentium 4, Intel Atom, Athlon XP or highter) 2Ghz
    • Memory: 1 GB RAM
    • Graphics: shader model 2.0 capabilities; generally everything made since 2004 should work.
    • Storage: 400 MB available space
    • Sound Card: OpenAL compatible sound card
Customer reviews Learn More
Review Type


Purchase Type


Language


Display As:


(what is this?)
1 reviews match the filters above
There are no more reviews that match the filters set above
Adjust the filters above to see other reviews
Loading reviews...